rlfahey

Nimbus::API not found in perl5.10

Discussion created by rlfahey on Mar 18, 2010
Latest reply on Mar 23, 2010 by keith_k
I have some probes written which work under 5.8.1, but when I upgrade to the 5.10 and Perl SDK4.05(also tried beta 4.06). My probes can't find Nimbus::API. I get the error,

Can't locate loadable object for module Nimbus::API in @INC (@INC contains: /opt/nimbus/perllib//5.10.0 /opt/nimbus/perllib/ /opt/nimbus/perl/lib/5.10.0/aix /opt/nimbus/perl/lib/5.10.0 /opt/nimbus/perl/lib/site_perl/5.10.0/aix /opt/nimbus/perl/lib/site_perl/5.10.0 /opt/nimbus/perllib/5.10.0 /opt/nimbus/perllib .) at ./IFX_server_stats.pl line 11

But when I list the directory, I get

ls -l /opt/nimbus/perllib
total 0
drwxr-xr-x    3 root     system          256 Mar 17 14:09 5.10.0
drwxr-xr-x    3 root     system          256 Jan 10 2007  5.8.1
drwxr-xr-x    2 root     system          256 Mar 17 15:45 Nimbus
drwxr-xr-x    3 root     system          256 Jan 10 2007  auto

I also have the following linr in my probe.

use lib '/opt/nimbus/perllib/';

As I said. this worked on the perl 5.8.1 distro.

Outcomes